/*
 * MediaCommon.hpp
 * Copyright (C) 2010 Andreas Fiedler <smartsmurf@users.sourceforge.net>
 *
 * This file is part of samygodca, a free DTS Coherent Acoustics
 * stream decoder plugin for SamyGO extension of Samsung DTV.
 *
 * samygodca is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * samygodca is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the
 * Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#ifndef __MEDIACOMMON_H__
#define __MEDIACOMMON_H__

#include "Config.h"

#if __FOR_INJECTION__
class DLL_LOCAL MediaCommon
#else
class DLL_PUBLIC MediaCommon
#endif
{
public:
	struct DRM_INFO {
		int nRes1;				// dummy
	};

	enum CaptureEncoding {
		ENCODING_UNKNWON		// dummy
	};

	struct CAPTION_DATA {
		int nRes1;				// dummy
	};

	enum LocaleType {
		LOCALE_NONE	= 0		// dummy
	};

	struct DisplayOutputArea {
		int DisplaySize;
		int Top;
		int Left;
		int Height;
		int Width;
	};
};


#endif

