/*
 * TDiDemux.hpp
 * Copyright (C) 2010 Andreas Fiedler <smartsmurf@users.sourceforge.net>
 *
 * This file is part of samygodca, a free DTS Coherent Acoustics
 * stream decoder plugin for SamyGO extension of Samsung DTV.
 *
 * samygodca is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * samygodca is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the
 * Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#ifndef __TDIDEMUX_H__
#define __TDIDEMUX_H__

#include "Config.h"
#include "SdCP.hpp"

typedef struct SdCPKeyInfo_t TDCPKeyInfo_t;

class
#if __FOR_INJECTION__
DLL_LOCAL
#else
DLL_PUBLIC
#endif
	TDiDemux
{
public:
	enum TDStreamType_k {
		Dummy = 0,
	};

	typedef struct SdCP_ParamEncDec_t TDCP_ParamEncDec_t;
	typedef struct SdCP_Param_t TDCP_Param_t;
	typedef struct SdTSData_SettingsCallBack_t TDSectionCallBackSettings_t;
};


#endif

