/*
 * TDiMpeg.hpp
 * Copyright (C) 2010 Andreas Fiedler <smartsmurf@users.sourceforge.net>
 *
 * This file is part of samygodca, a free DTS Coherent Acoustics
 * stream decoder plugin for SamyGO extension of Samsung DTV.
 *
 * samygodca is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * samygodca is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the
 * Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#ifndef __TDIMPEG_HPP__
#define __TDIMPEG_HPP__

#include "Config.h"
#include "SdAVDec.hpp"

class LIB_EXPORT TDiMpeg
{
public:

	/* this results in incorrect imports, e.g. 
		CMovieTDIF::InstallUnmuteCallback(void (*)(SdAVDec_VideoInfo_t, void *), void *)
	typedef struct SdAVDec_Settings_t TDAVDec_Settings_t;
	typedef struct SdAVDec_VideoInfo_t TDAVDec_VideoInfo_t; */

	struct TDAVDec_Settings_t {
		struct SdAVDec_Settings_t avset;
	};

	struct TDAVDec_VideoInfo_t {
		struct SdAVDec_VideoInfo_t avinfo;
	};


};


#endif
