/*
 * uldAvfdMkvEbml.h
 * Copyright (C) 2010 Andreas Fiedler <smartsmurf@users.sourceforge.net>
 *
 * This file is part of samygodca, a free DTS Coherent Acoustics
 * stream decoder plugin for SamyGO extension of Samsung DTV.
 *
 * This file was taken from Audioswitch package and modified in order
 * to work with samygodca
 *
 * samygodca is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * samygodca is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the
 * Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#ifndef __ULDAVFDMKVEBML_H__
#define __ULDAVFDMKVEBML_H__

#include <stdint.h>
#include <stdio.h>

#include "libavformat/matroska.h"
#include "uldAvfdInterfacer.h"
#include "Config.h"

#ifdef __cplusplus
extern "C" {
#endif

PUBLIC int uldMkv_ReadEbmlSize( FILE * stream, int64_t *, unsigned char * );

#ifdef __cplusplus
}
#endif

#endif
