#!/bin/sh

export CFLAGS=
export LDFLAGS=

./configure \
--disable-muxers \
--disable-encoders \
--enable-cross-compile \
--enable-pthreads \
--enable-gpl \
--enable-version3 \
--disable-debug \
--enable-stripping \
--enable-optimizations \
--disable-devices \
--enable-armv6 \
--enable-armv6t2 \
--enable-armvfp \
--disable-network \
--disable-ffmpeg \
--disable-ffprobe \
--disable-ffplay \
--disable-ffserver \
--disable-zlib \
--enable-shared \
--disable-swscale-alpha \
--disable-doc \
--extra-cflags='-Wall -O3 -fPIC -DPIC -mfpu=vfp -mfloat-abi=softfp -fsingle-precision-constant' \
--cross-prefix=$ARM_CROSS_PREFIX \
--target-os=linux \
--arch=arm \
--cpu=arm1176jzf-s \
--enable-hardcoded-tables \
--disable-memalign-hack \


#--enable-extra-warnings \

