/*
 * SdCP.hpp
 * Copyright (C) 2010 Andreas Fiedler <smartsmurf@users.sourceforge.net>
 *
 * This file is part of samygodca, a free DTS Coherent Acoustics
 * stream decoder plugin for SamyGO extension of Samsung DTV.
 *
 * samygodca is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * samygodca is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the
 * Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#ifndef __SDCP_H__
#define __SDCP_H__

#include "Config.h"

struct SdCP_ParamEncDec_t {
	int Dummy;
};

struct SdCPKeyInfo_t {
	int Dummy;
};

struct SdCP_Param_t {
	int Dummy;
};

struct SdTSData_SettingsCallBack_t {
	int Dummy;
};

int SdCP_Decrypt( SdCP_ParamEncDec_t * );
int SdCP_Encrypt( SdCP_ParamEncDec_t * );
int SdCP_GetChipID( unsigned char * );
int SdCP_ChangeKeyInfo( void *,int,SdCPKeyInfo_t * );
int SdCP_Stop(void *,SdCP_Param_t *);
int SdCP_Start(void *,SdCP_Param_t *);
int SdCP_Close(void *);
int SdCP_Open(void *);
#endif

