#ifndef DCA_HPP
#define DCA_HPP

#include <mod.h>

EXTERN_C_START

struct dca_config {
	int audio_switch_key;
	char ffmpeg_location[MAX_PATH];
};

extern HIDDEN struct dca_config config;

int mod_prepare(void *handle);
int mod_init(void *handle);
int mod_keypressed(const int *keys, int keys_num, int *key_out);
const struct mod_config_var *mod_get_config_vars(void);

EXTERN_C_END

#endif /* DCA_HPP */
