#ifndef __SPIAVFD_H__
#define __SPIAVFD_H__

#include <stdio.h>
#include <memory.h>
#include <stdint.h>
#include "Config.h"
#include "uldAvfdInterfacer.h"
#include "spIAvfdStream.h"

struct avfd_invoke_callback_t {
	int callback_id;
	int callback_param;
	int data[351];
};


#ifdef __cplusplus
extern "C" {
#endif

LIB_EXPORT int spIAvfd_ParseHeader(struct avfd_instance_t *);
LIB_EXPORT int spIAvfd_Init(struct avfd_init_t *);
LIB_EXPORT int spIAvfd_GetPos(struct avfd_instance_t *, uint64_t *);
PUBLIC int StaAvfd_InvokeCallback( struct avfd_invoke_callback_t * );

#ifdef __cplusplus
}
#endif

#endif
