/*
 * Get local time from UTC system time function.
 */
#include "mod_int.h"

#if 0
/* mysterious geo650 code */
struct tm *get_localtime_from_UTC_sytemtime(void)
{
	int monthtab[] = {0,31,28,31,30,31,30,31,31,30,31,30,31};
	time_t t;
	struct tm *tm;
	t = time(NULL);
	tm = localtime(&t);
   
	if ((config.winter_time == 0) && (config.summer_time == 0))
		return tm;

	int y = tm->tm_year;
	int month = tm->tm_mon + 1;
	int day   = tm->tm_mday;
	int wday  = tm->tm_wday;
	int hour  = tm->tm_hour;

	if (y < 1900)
		y += 1900;
	int leap = ((y % 4) == 0) ? 1 : 0;
	if ((y % 100) == 0)
		leap = ((y % 400) == 0) ? 1 : 0;
	monthtab[2] = 28 + leap;

	int zone = config.winter_time;
	if ((month) && (month < 10))
		zone = config.summer_time;
	else if ((month == 3) || (month == 10)) {
		if ((day + 8) > monthtab[month]) {
			if (month == 3) {
				zone = config.summer_time;
				if ((wday == 0) && (hour < 1))
					zone = config.winter_time;
			}
			if ((month == 10) && (wday == 0) && (hour < 1))
				zone = config.summer_time;
		} else {
			if (month == 10)
				zone = config.summer_time;
		}
	}

	hour += zone;
	if (hour > 23) {
		hour -= 24;
		wday++;
		if (wday > 6)
			wday = 0;
		day++;
		if (day > monthtab[month]) {
			day = 1;
			month++;
			if (month > 12) {
				month = 1;
				y++;
				tm->tm_year++;
			}
		}
	} else if (hour < 0) {
		hour += 24;
		wday--;
		if (wday < 0)
			wday = 6;
		day--;
		if (day < 1) {
			month--;
			if (month < 1) {
				month = 12;
				y--;
				tm->tm_year--;
			}
			day = monthtab[month];
		}
	}
  
	tm->tm_wday = wday;
	tm->tm_mon  = month - 1;
	tm->tm_mday = day;
	tm->tm_hour = hour;
	return tm;
}
#endif

time_t
adjust_sytem_time(time_t now)
{
	return (now + config.time_adjust);
}
