#ifndef EXEDSP_H
#define EXEDSP_H

#include <stdbool.h>
#include "common.h"

#ifdef __cplusplus
EXTERN_C_START
#endif

/* Please be caution: ptr should be a pointer to pointer */
#define SYMENTRY(name, ptr) (name), (void **)(ptr)
struct lib_symbol {
	char *name;
	void **ptr;
};
int exedsp_load_symbols(struct lib_symbol *syms, void **dlhandle);

bool exedsp_is_cip(void);

#ifdef __cplusplus
EXTERN_C_END
#endif

#endif
