#include "mod_aspect_ratio.h"

struct aspect_ratio_config config = {
	.key = KEY_FAV_CH,
};

static struct mod_config_var config_vars[] = {
	{"ASPECT_RATIO",    0, KEY_ENTRY(config.key)},
	{LAST_VAR_ENTRY}
};

int
mod_keypressed(const int *keys, int keys_num, int *key_out)
{
	if (keys[0] != config.key)
		return (MOD_KEYPRESSED_UNKNOWN);
	*key_out = KEY_ASPECT;
	LOG("Replace key[0x%X] by ASPECT[0x%X]", keys[0], *key_out);
	return (MOD_KEYPRESSED_PROCESSED);
}

const struct mod_config_var *
mod_get_config_vars(void)
{
	return (config_vars);
}
