#ifndef MOD_PVR_H
#define MOD_PVR_H

struct pvr_config
{
	struct stringlist pvr_target;
	#define RECORD_KEYLOCK_DISABLE       0
	#define RECORD_KEYLOCK_ENABLE        1
	#define RECORD_KEYLOCK_ENABLE_LOCKED 2
	#define RECORD_KEYLOCK_NOUNLOCK      3
	int record_key_lock;
	int protect;
	#define CFG_UNICODE_UTF8            0
	#define CFG_UNICODE_ASCII           1
	#define CFG_UNICODE_ASCII_TRANSCODE 2
	int unicode;
	int show_icons;
	unsigned icon_x;
	unsigned icon_y;
	int testwrite;
	int del_mdb;
	int del_empty_ts;
	unsigned io_buffer;
};

HIDDEN struct pvr_config config;

int mod_keypressed(const int *keys, int keys_num, int *key_out);
int mod_init(void *handle);
const struct mod_config_var *mod_get_config_vars(void);

HIDDEN int pvr_check_target(char *dir);

#endif /* MOD_PVR_H */
